<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PendingEquipment extends Model
{
    use HasFactory;

    public $timestamps = false;

    protected $table = 'pending_equipments';

    protected $primaryKey = 'pending_equipment_id';

    public function unit()
    {
        return $this->belongsTo(Unit::class, 'pending_equipment_unit_id', 'unit_id');
    }

    public function equipmentType()
    {
        return $this->belongsTo(EquipmentType::class, 'pending_equipment_type_id', 'equipment_type_id');
    }
    
}
